<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia at Jan 15, 2013 ( $Revision$ ) -->
<!-- $HeadURL: https://svn.apache.org/repos/asf/httpcomponents/maven-skin/trunk/src/main/resources/META-INF/maven/site.vm $ -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>HttpClient OSGi bundle - Project Dependencies</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20130115" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                        <a href="http://www.apache.org/" id="bannerLeft">
                                        <img src="http://www.apache.org/images/asf_logo_wide.gif" alt="Apache" />
                </a>
                                            <a href="../" id="bannerRight">
                                                <img src="../images/logos/httpcomponents.png" alt="HttpComponents" />
                </a>
            <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
        
                <div class="xleft">
        <span id="publishDate">Last Published: 2013-01-15</span>
                  &nbsp;| <span id="projectVersion">Version: 4.2.3</span>
                      </div>
            <div class="xright">                    <a href="http://www.apache.org/" class="externalLink" title="Apache">Apache</a>
            |
                        <a href="../index.html" title="HttpComponents">HttpComponents</a>
              
        
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
        
                                <h5>HttpComponents</h5>
                  <ul>
                  <li class="none">
                          <a href="../../../../../../scp:/people.apache.org/www/hc.apache.org/index.html" title="Home">Home</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/licenses/" class="externalLink" title="License">License</a>
            </li>
                  <li class="none">
                          <a href="../../../../../../scp:/people.apache.org/www/hc.apache.org/downloads.cgi" title="Download">Download</a>
            </li>
                  <li class="none">
                          <a href="../../../../../../scp:/people.apache.org/www/hc.apache.org/mail.html" title="Mailing Lists">Mailing Lists</a>
            </li>
                  <li class="none">
                          <a href="../../../../../../scp:/people.apache.org/www/hc.apache.org/user-docs.html" title="User documents">User documents</a>
            </li>
                  <li class="none">
                          <a href="../../../../../../scp:/people.apache.org/www/hc.apache.org/dev-docs.html" title="Developer documents">Developer documents</a>
            </li>
                  <li class="none">
                          <a href="http://wiki.apache.org/HttpComponents/" class="externalLink" title="Wiki (external)">Wiki (external)</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/security/" class="externalLink" title="Security">Security</a>
            </li>
          </ul>
                       <h5>Project Documentation</h5>
                  <ul>
                                                                                                                                    <li class="expanded">
                          <a href="project-info.html" title="Project Information">Project Information</a>
                    <ul>
                      <li class="none">
            <strong>Dependencies</strong>
          </li>
                      <li class="none">
                          <a href="issue-tracking.html" title="Issue Tracking">Issue Tracking</a>
            </li>
                      <li class="none">
                          <a href="team-list.html" title="Project Team">Project Team</a>
            </li>
                      <li class="none">
                          <a href="source-repository.html" title="Source Repository">Source Repository</a>
            </li>
              </ul>
        </li>
                                                                    <li class="collapsed">
                          <a href="project-reports.html" title="Project Reports">Project Reports</a>
                  </li>
          </ul>
                       <h5>ASF</h5>
                  <ul>
                  <li class="none">
                          <a href="http://www.apache.org" class="externalLink" title="ASF Home Page">ASF Home Page</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/foundation/" class="externalLink" title="Foundation">Foundation</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/foundation/sponsorship.html" class="externalLink" title="Sponsor Apache">Sponsor Apache</a>
            </li>
                  <li class="none">
                          <a href="http://www.apache.org/foundation/thanks.html" class="externalLink" title="Thanks">Thanks</a>
            </li>
          </ul>
                                                                                                                   <a href="http://www.apache.org/events/current-event.html" title="ApacheCon" class="poweredBy">
        <img class="poweredBy"  alt="ApacheCon" src="http://www.apache.org/events/current-event-125x125.png"    />
      </a>
                                                                                                    <a href="http://maven.apache.org/" title="Maven" class="poweredBy">
        <img class="poweredBy"  alt="Maven" src="http://maven.apache.org/images/logos/maven-feather.png"    />
      </a>
                       
        
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <a name="Project_Dependencies"></a><div class="section"><h2>Project Dependencies<a name="Project_Dependencies"></a></h2><a name="Project_Dependencies_compile"></a><div class="section"><h3>compile<a name="compile"></a></h3><p>The following is a list of compile dependencies for this project. These dependencies are required to compile and run the application:</p><table border="0" class="bodyTable"><tr class="a"><th>GroupId</th><th>ArtifactId</th><th>Version</th><th>Type</th><th>License</th></tr><tr class="b"><td>commons-codec</td><td><a class="externalLink" href="http://commons.apache.org/codec/">commons-codec</a></td><td>1.6</td><td>jar</td><td><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></td></tr><tr class="a"><td>org.apache.httpcomponents</td><td><a class="externalLink" href="http://hc.apache.org/httpcomponents-client">fluent-hc</a></td><td>4.2.3</td><td>jar</td><td>LICENSE.txt</td></tr><tr class="b"><td>org.apache.httpcomponents</td><td><a class="externalLink" href="http://hc.apache.org/httpcomponents-client">httpclient</a></td><td>4.2.3</td><td>jar</td><td>LICENSE.txt</td></tr><tr class="a"><td>org.apache.httpcomponents</td><td><a class="externalLink" href="http://hc.apache.org/httpcomponents-client">httpclient-cache</a></td><td>4.2.3</td><td>jar</td><td>LICENSE.txt</td></tr><tr class="b"><td>org.apache.httpcomponents</td><td><a class="externalLink" href="http://hc.apache.org/httpcomponents-client">httpmime</a></td><td>4.2.3</td><td>jar</td><td>LICENSE.txt</td></tr></table></div></div><a name="Project_Transitive_Dependencies"></a><div class="section"><h2>Project Transitive Dependencies<a name="Project_Transitive_Dependencies"></a></h2><p>The following is a list of transitive dependencies for this project. Transitive dependencies are the dependencies of the project dependencies.</p><a name="Project_Transitive_Dependencies_compile"></a><div class="section"><h3>compile<a name="compile"></a></h3><p>The following is a list of compile dependencies for this project. These dependencies are required to compile and run the application:</p><table border="0" class="bodyTable"><tr class="a"><th>GroupId</th><th>ArtifactId</th><th>Version</th><th>Type</th><th>License</th></tr><tr class="b"><td>commons-logging</td><td><a class="externalLink" href="http://commons.apache.org/logging">commons-logging</a></td><td>1.1.1</td><td>jar</td><td><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></td></tr><tr class="a"><td>org.apache.httpcomponents</td><td><a class="externalLink" href="http://hc.apache.org/httpcomponents-core-ga">httpcore</a></td><td>4.2.2</td><td>jar</td><td>LICENSE.txt</td></tr></table></div></div><a name="Project_Dependency_Graph"></a><div class="section"><h2>Project Dependency Graph<a name="Project_Dependency_Graph"></a></h2><script language="javascript" type="text/javascript">
      function toggleDependencyDetail( divId, imgId )
      {
        var div = document.getElementById( divId );
        var img = document.getElementById( imgId );
        if( div.style.display == '' )
        {
          div.style.display = 'none';
          img.src='./images/icon_info_sml.gif';
        }
        else
        {
          div.style.display = '';
          img.src='./images/close.gif';
        }
      }
</script>
<a name="Dependency_Tree"></a><div class="section"><h3>Dependency Tree<a name="Dependency_Tree"></a></h3><ul><li>org.apache.httpcomponents:httpclient-osgi:bundle:4.2.3 <img id="_161520208" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1647255995', '_161520208' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1647255995" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpClient OSGi bundle</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents Client (OSGi bundle)</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-client">http://hc.apache.org/httpcomponents-client</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div><ul><li>org.apache.httpcomponents:httpclient:jar:4.2.3 (compile) <img id="_108859673" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1096610221', '_108859673' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1096610221" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpClient</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents Client (base module)</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-client">http://hc.apache.org/httpcomponents-client</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div><ul><li>org.apache.httpcomponents:httpcore:jar:4.2.2 (compile) <img id="_175075811" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_615866437', '_175075811' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_615866437" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpCore</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents Core (blocking I/O)</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-core-ga">http://hc.apache.org/httpcomponents-core-ga</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div></li><li>commons-logging:commons-logging:jar:1.1.1 (compile) <img id="_1859694899" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_871599715', '_1859694899' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_871599715" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>Commons Logging</th></tr><tr class="b"><td><p><b>Description: </b>Commons Logging is a thin adapter allowing configurable bridging to other,
    well known logging systems.</p><p><b>URL: </b><a class="externalLink" href="http://commons.apache.org/logging">http://commons.apache.org/logging</a></p><p><b>Project License: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li><li>commons-codec:commons-codec:jar:1.6 (compile) <img id="_893680610" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1515938141', '_893680610' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1515938141" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>Commons Codec</th></tr><tr class="b"><td><p><b>Description: </b>The codec package contains simple encoder and decoders for
     various formats such as Base64 and Hexadecimal.  In addition to these
     widely used encoders and decoders, the codec package also maintains a
     collection of phonetic encoding utilities.</p><p><b>URL: </b><a class="externalLink" href="http://commons.apache.org/codec/">http://commons.apache.org/codec/</a></p><p><b>Project License: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li></ul></li><li>commons-codec:commons-codec:jar:1.6 (compile) <img id="_721926468" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_927477800', '_721926468' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_927477800" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>Commons Codec</th></tr><tr class="b"><td><p><b>Description: </b>The codec package contains simple encoder and decoders for
     various formats such as Base64 and Hexadecimal.  In addition to these
     widely used encoders and decoders, the codec package also maintains a
     collection of phonetic encoding utilities.</p><p><b>URL: </b><a class="externalLink" href="http://commons.apache.org/codec/">http://commons.apache.org/codec/</a></p><p><b>Project License: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li><li>org.apache.httpcomponents:httpmime:jar:4.2.3 (compile) <img id="_1932476876" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1039712791', '_1932476876' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1039712791" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpMime</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents HttpClient - MIME coded entities</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-client">http://hc.apache.org/httpcomponents-client</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div><ul><li>org.apache.httpcomponents:httpcore:jar:4.2.2 (compile) <img id="_772675645" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_2072780827', '_772675645' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_2072780827" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpCore</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents Core (blocking I/O)</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-core-ga">http://hc.apache.org/httpcomponents-core-ga</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div></li></ul></li><li>org.apache.httpcomponents:httpclient-cache:jar:4.2.3 (compile) <img id="_532043583" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1107164440', '_532043583' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1107164440" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpClient Cache</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents HttpClient - Cache</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-client">http://hc.apache.org/httpcomponents-client</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div><ul><li>org.apache.httpcomponents:httpclient:jar:4.2.3 (compile) <img id="_1379585898" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1798598131', '_1379585898' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1798598131" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpClient</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents Client (base module)</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-client">http://hc.apache.org/httpcomponents-client</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div></li><li>commons-logging:commons-logging:jar:1.1.1 (compile) <img id="_1367178330" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1367782262', '_1367178330' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1367782262" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>Commons Logging</th></tr><tr class="b"><td><p><b>Description: </b>Commons Logging is a thin adapter allowing configurable bridging to other,
    well known logging systems.</p><p><b>URL: </b><a class="externalLink" href="http://commons.apache.org/logging">http://commons.apache.org/logging</a></p><p><b>Project License: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li></ul></li><li>org.apache.httpcomponents:fluent-hc:jar:4.2.3 (compile) <img id="_932259275" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1807935756', '_932259275' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1807935756" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>Fluent HttpClient</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents Client fluent API</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-client">http://hc.apache.org/httpcomponents-client</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div><ul><li>org.apache.httpcomponents:httpclient:jar:4.2.3 (compile) <img id="_1786389718" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_308653949', '_1786389718' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_308653949" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>HttpClient</th></tr><tr class="b"><td><p><b>Description: </b>HttpComponents Client (base module)</p><p><b>URL: </b><a class="externalLink" href="http://hc.apache.org/httpcomponents-client">http://hc.apache.org/httpcomponents-client</a></p><p><b>Project License: </b><a href="LICENSE.txt">Apache License</a></p></td></tr></table></div></li><li>commons-logging:commons-logging:jar:1.1.1 (compile) <img id="_980135201" src="./images/icon_info_sml.gif" alt="Information" onclick="toggleDependencyDetail( '_1174192679', '_980135201' );" style="cursor: pointer;vertical-align:text-bottom;"></img><div id="_1174192679" style="display:none"><table border="0" class="bodyTable"><tr class="a"><th>Commons Logging</th></tr><tr class="b"><td><p><b>Description: </b>Commons Logging is a thin adapter allowing configurable bridging to other,
    well known logging systems.</p><p><b>URL: </b><a class="externalLink" href="http://commons.apache.org/logging">http://commons.apache.org/logging</a></p><p><b>Project License: </b><a class="externalLink" href="http://www.apache.org/licenses/LICENSE-2.0.txt">The Apache Software License, Version 2.0</a></p></td></tr></table></div></li></ul></li></ul></li></ul></div></div><a name="Licenses"></a><div class="section"><h2>Licenses<a name="Licenses"></a></h2><p><b>Apache License: </b>Fluent HttpClient, HttpClient, HttpClient Cache, HttpClient OSGi bundle, HttpCore, HttpMime</p><p><b>The Apache Software License, Version 2.0: </b>Commons Codec, Commons Logging</p></div><a name="Dependency_File_Details"></a><div class="section"><h2>Dependency File Details<a name="Dependency_File_Details"></a></h2><table border="0" class="bodyTable"><tr class="a"><th>Filename</th><th>Size</th><th>Entries</th><th>Classes</th><th>Packages</th><th>JDK Rev</th><th>Debug</th></tr><tr class="b"><td>commons-codec-1.6.jar</td><td>227.32 kB</td><td>218</td><td>76</td><td>6</td><td>1.5</td><td>debug</td></tr><tr class="a"><td>commons-logging-1.1.1.jar</td><td>59.26 kB</td><td>42</td><td>28</td><td>2</td><td>1.1</td><td>debug</td></tr><tr class="b"><td>fluent-hc-4.2.3.jar</td><td>21.27 kB</td><td>23</td><td>9</td><td>1</td><td>1.5</td><td>debug</td></tr><tr class="a"><td>httpclient-4.2.3.jar</td><td>422.92 kB</td><td>358</td><td>323</td><td>21</td><td>1.5</td><td>debug</td></tr><tr class="b"><td>httpclient-cache-4.2.3.jar</td><td>112.96 kB</td><td>81</td><td>62</td><td>4</td><td>1.5</td><td>debug</td></tr><tr class="a"><td>httpcore-4.2.2.jar</td><td>218.33 kB</td><td>216</td><td>190</td><td>14</td><td>1.5</td><td>debug</td></tr><tr class="b"><td>httpmime-4.2.3.jar</td><td>25.86 kB</td><td>31</td><td>15</td><td>2</td><td>1.5</td><td>debug</td></tr><tr class="a"><th>Total</th><th>Size</th><th>Entries</th><th>Classes</th><th>Packages</th><th>JDK Rev</th><th>Debug</th></tr><tr class="b"><td>7</td><td>1.06 MB</td><td>969</td><td>703</td><td>50</td><td>1.5</td><td>7</td></tr><tr class="a"><td>compile: 7</td><td>compile: 1.06 MB</td><td>compile: 969</td><td>compile: 703</td><td>compile: 50</td><td>-</td><td>compile: 7</td></tr></table></div><a name="Dependency_Repository_Locations"></a><div class="section"><h2>Dependency Repository Locations<a name="Dependency_Repository_Locations"></a></h2><table border="0" class="bodyTable"><tr class="a"><th>Repo ID</th><th>URL</th><th>Release</th><th>Snapshot</th></tr><tr class="b"><td>apache.snapshots</td><td><a class="externalLink" href="http://repository.apache.org/snapshots">http://repository.apache.org/snapshots</a></td><td>-</td><td>Yes</td><td>-</td></tr><tr class="a"><td>spy</td><td><a class="externalLink" href="http://files.couchbase.com/maven2/">http://files.couchbase.com/maven2/</a></td><td>Yes</td><td>-</td><td>-</td></tr><tr class="b"><td>central</td><td><a class="externalLink" href="http://repo1.maven.org/maven2">http://repo1.maven.org/maven2</a></td><td>Yes</td><td>-</td><td>-</td></tr></table><p>Repository locations for each of the Dependencies.</p><table border="0" class="bodyTable"><tr class="a"><th>Artifact</th><th>apache.snapshots</th><th>spy</th><th>central</th></tr><tr class="b"><td>commons-codec:commons-codec:jar:1.6</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/commons-codec/commons-codec/1.6/commons-codec-1.6.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="a"><td>commons-logging:commons-logging:jar:1.1.1</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/commons-logging/commons-logging/1.1.1/commons-logging-1.1.1.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="b"><td>org.apache.httpcomponents:fluent-hc:jar:4.2.3</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/org/apache/httpcomponents/fluent-hc/4.2.3/fluent-hc-4.2.3.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="a"><td>org.apache.httpcomponents:httpclient:jar:4.2.3</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/org/apache/httpcomponents/httpclient/4.2.3/httpclient-4.2.3.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="b"><td>org.apache.httpcomponents:httpclient-cache:jar:4.2.3</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/org/apache/httpcomponents/httpclient-cache/4.2.3/httpclient-cache-4.2.3.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="a"><td>org.apache.httpcomponents:httpcore:jar:4.2.2</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/org/apache/httpcomponents/httpcore/4.2.2/httpcore-4.2.2.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="b"><td>org.apache.httpcomponents:httpmime:jar:4.2.3</td><td>-</td><td>-</td><td><a class="externalLink" href="http://repo1.maven.org/maven2/org/apache/httpcomponents/httpmime/4.2.3/httpmime-4.2.3.jar"><img alt="Found at http://repo1.maven.org/maven2" src="images/icon_success_sml.gif" /></a></td></tr><tr class="a"><th>Total</th><th>apache.snapshots</th><th>spy</th><th>central</th></tr><tr class="b"><td>7 (compile: 7)</td><td>0</td><td>0</td><td>7</td></tr></table></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
                      
<div class="xleft">Apache HttpComponents, Commons HttpClient, Apache, the Apache feather logo, and the Apache HttpComponents project logo are trademarks of The Apache Software Foundation.</div>
            
<br/>
            
<div class="xleft">All other marks mentioned may be trademarks or registered trademarks of their respective owners.</div>
                <div class="xright">Copyright &#169;                    1999-2013
                        <a href="http://www.apache.org/">The Apache Software Foundation</a>.
            All Rights Reserved.      
        
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
